Subject: [manet] Comments for OLSRv2-14

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 22:10:23 +0100

Hi Herberg,

I am suggesting to clarify interfaces, I donot like to change if
unnecessary. Mentioning that an interface is in the layer 3, or its
logical, or even just explaining the way Chris defined to me, really makes
difference. My question is why is the draft not mentioning that
OLSRv2-interface is an IP-interface or a logical-interface? Does the
authors see that this information is not important? or even
MANET-interfaces are in layer 3.  If we define protocols without mentioning
which layer it is located in, then how can we define such protocol, its
layer-location is more important than its functionality, because each layer
has its special interfaces, functions, services, and messages. There are
many documents that explain interface in the same model that OLSRv2 is
presenting so why didn't have confusion when I read them?

>An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is
an IP interface, one which IP >receives packets on, has one or more IP
addresses etc. It has a data link layer below it, but OLSRv2 doesn’t >care
about that. Your statement “a MANET interface is a data link interface” is
wrong.

>I don't think there is any confusion. Chris has pointed out the
relationship between MANET interface and OLSRv2 >interface clearly. I think
that RFC6130/draft-ietf-manet-olsrv2 define the terminology correctly. If
you would like to >change anything, please suggest concrete text to
replace, so that I can better understand what you mean.

I disagree that there is no confusion. There are confusions in defining
terms in MANET WG, I have seen in the past a long discussion between many,
just arguing about defining host or router, and now l was confused of
interfaces in OLSRv2-draft. Maybe because I am not much familiar with OLSR,
or reading about network-interface in many papers, and I read RFC2501 (it
refers alot to wireless interface and communications) and mentioned in
RFC6130 for the interface as attach to communication medium, I thought it
was a medium as physical medium.

I suggest to clarify by adding information in one of the following
explanation to the draft (even a line will do):

- Mentioning which layer(s) the OLSRv2-interface works or allowed to be at
by the protocol, or
- defining the MANET-interface as Chris defined (IP-interface, at layer 3)
in terminology, or
- mentioning that OLSRv2-interface is not a wireless interface, or
- defining MANET-interface as logical interface.

I am sorry to disturb, I actually still have many comments for OLSRv2-draft
and will try to submit, and let the WG to decide. However, I thank you and
Chris to explain to me so at least my other comments will be in
understanding.

Abdussalam
++++++++++++++++++

 On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]>wrote:

> Abdussalam,
>
> RFC6130 defines:
>
>
> MANET interface:
> An interface participating in a MANET and using this neighborhood
>       discovery protocol.  A router may have several MANET interfaces.
>
> And draft-ietf-manet-olsrv2 defines:
>
> OLSRv2 interface:
>       A MANET interface running this protocol.  A router running this
>       protocol MUST have at least one OLSRv2 interface.
>
> In one of the last OLSRv2 revisions, we made sure that OLSRv2
> differentiates between neighbors running only NHDP and neighbors running
> also OLSRv2, and only the latter are used for MPR selection, etc. I do not
> understand what you would like to change in the OLSRv2 draft.
>
> See comments below:
>
>  On Mon, Apr 30, 2012 at 8:24 AM, Abdussalam Baryun <
> [email-masked]> wrote:
>
>> Hi Henning,
>>
>> Please note that I read the first pages of draft many times before
>> posting any information.
>>
>> HR>I would suggest reading the OLSRv2-draft again, especially section 2.
>>
>>
>> >OLSRv2 interface:
>> >A MANET interface running this protocol.  A router running this
>> >protocol MUST have at least one OLSRv2 interface.
>>
>> HR>A routing protocol which does not run on any interface would be pretty
>> >useless, right?
>> You reply to the second sentence not the first which has 'running this
>> protocol' relating it not to the router it is relating it to the interface.
>> I know that router must have at least a network-interface ( or
>> data-link-layer) or MANET interface, this is not what I commenting and the
>> draft is mentioning. We don't assume at least Data-Link because it is
>> obvious and we are following TCP/IP model in the internet, but not at least
>> a specific-interface called bla bla.
>>
>> Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS this
>> protocol (OLSRv2) this means there is some thing related to OLSRv2 in the
>> layer-2. You should read again another paragraph mentioning as if there is
>> difference between MANET-interface and OLSRv2-interface.
>>
>> OLSRv2-14>p9>
>>
>> Supports routers that each have one or more participating OLSRv2
>>
>> interfaces, which will consist of some or all of its MANET
>>
>> interfaces using [RFC6130]. The set of a router’s OLSRv2
>>
>> interfaces, and the sets of its other MANET and non-MANET
>>
>> interfaces, may change over time. Each interface may have one or
>>
>> more network addresses (which may have prefix lengths), and these
>>
>> may also be dynamically changing.
>>
>> AB> it is clear from the above draft-page-9, that all MANET
>> interfaces are not an OLSRv2-interface, but All OLSRv2 interfaces are
>> MANET-interfaces. So we have to have in or node at least an
>> OLSRv2-interface, not at least one MANET-interfac so the protocol to work
>> correctly.
>>
>> AB> The above page-9 mentions NHDP as well that interfaces need this
>> protocol. What if there is not NHDP, or if it is not working, what will
>> happen. The draft SHOULD explain these issues.
>>
>
>
>
>> AB> It may be that all OLSRv2 routers (as implementation point of
>> practice) only need at least one MANET interface. But the authors need to
>> change. therefore, we know that All routers need at least on interface, but
>> the draft-wording has a special OLSRv2-interface. Then we need to change
>> the draft wording to the right explaination.
>>
>
>
> Can you suggest what you would like to change? I don't understand your
> point.
>
> Best regards
> Ulrich
>  +++++++++++++++++++++++++++++++++++++++++++
>

Hi Chris

ok then if it was simple to explain as a special interface as IP-interface
why we have OLSRv2_draft saying that it is network-interface as MANET is a
network, but IP is not it is a protocol. IMO it is wrong to refer to a
network while you mean a protocol, even though I know I may misunderstood.
I sugget that this SHOULD be explained clearly. I think every one seems to
understand that network-interface must include Data-Link-layer, therefore,
RFC6130 or OLSRv2-draft should define well as you did. I thank you for your
comment,

Therefore I suggest to change OLSRv2-interface definition as Chris defined
it very clearly. I hope the draft can change the definition,

Abdussalam

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <Chris.Dearlove
at baesystems.com> wrote:

An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is
an IP interface, one which IP receives packets on, has one or more IP
addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care
about that. Your statement “a MANET interface is a data link interface” is
wrong.

-- 

Christopher Dearlove

Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
chris.dearlove at baesystems.com | http://www.baesystems.com

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 30 Apr 2012 14:28:56 -0700

Abdussalam,

so far, nobody else seemed to be confused on which layer OLSRv2 is used (or
how the interfaces are defined). IMO, unless other people in the WG see the
same danger of confusion, I would not change it.

Regards
Ulrich

On Mon, Apr 30, 2012 at 2:10 PM, Abdussalam Baryun <
[email-masked]> wrote:

> >An OLSRv2 interface (a special case of a MANET interface, see RFC 6130)
> is an IP interface, one which IP >receives packets on, has one or more IP
> I am sorry to disturb, I actually still have many comments for
> OLSRv2-draft and will try to submit, and let the WG to decide. However, I
> thank you and Chris to explain to me so at least my other comments will be
> in understanding.
>
> Abdussalam
> ++++++++++++++++++
>
>>> Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS
>>> this protocol (OLSRv2) this means there is some thing related to OLSRv2 in
>>> the layer-2. You should read again another paragraph mentioning as if there
>>> is difference between MANET-interface and OLSRv2-interface.
>>>
>>> OLSRv2-14>p9>
>>>

---

From: Thomas Clausen <[email-masked]>
Date: Tue, 1 May 2012 02:40:47 +0200

On Apr 30, 2012, at 11:10 PM, Abdussalam Baryun wrote:

> Hi Herberg,
>  
> I am suggesting to clarify interfaces, I donot like to change if unnecessary. Mentioning that an interface is in the layer 3, or its logical, or even just explaining the way Chris defined to me, really makes difference.

No, it is utterly pointless to do so. As a matter of fact, all OLSRv2 cares about is, that the interface over which it operates also runs NHDP (RFC6130). Hence, the stipulation that an OLSRv2 interface is a MANET interface (with the latter being defined exactly in RFC6130).

RFC5498 specifies a relationship to IP and UDP.

> My question is why is the draft not mentioning that OLSRv2-interface is an IP-interface or a logical-interface? Does the authors see that this information is not important? or even MANET-interfaces are in layer 3.

It is not mentioned because it doesn't matter one iota. 

An OLSRv2 interface can be physical or virtual. Chris explained it well, I suggest re-reading his email.

>   If we define protocols without mentioning which layer it is located in, then how can we define such protocol
> its layer-location is more important than its functionality,

No, it isn't.

> because each layer has its special interfaces, functions, services, and messages.

That doesn't have any relevance here.

> There are many documents that explain interface in the same model that OLSRv2 is presenting so why didn't have confusion when I read them? 

I do not understand what you are asking above.

> >An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP >receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t >care about that. Your statement “a MANET interface is a data link interface” is wrong.
> 
> >I don't think there is any confusion. Chris has pointed out the relationship between MANET interface and OLSRv2 >interface clearly. I think that RFC6130/draft-ietf-manet-olsrv2 define the terminology correctly. If you would like to >change anything, please suggest concrete text to replace, so that I can better understand what you mean.
> 
> I disagree that there is no confusion. There are confusions in defining terms in MANET WG, I

Disagree; in the IETF, protocols define in their respective terminology sections the appropriate terminology.

> have seen in the past a long discussion between many, just arguing about defining host or router,

Irrelevant in the context of discussing OLSRv2.

> and now l was confused of interfaces in OLSRv2-draft. Maybe because I am not much familiar with OLSR, or reading about network-interface in many papers, and I read RFC2501 (it refers alot to wireless interface and communications) and mentioned in RFC6130 for the interface as attach to communication medium, I thought it was a medium as physical medium.

Doesn't matter if it is physical or logical or virtual - as long as it permits sending/receiving packets.

> I suggest to clarify by adding information in one of the following explanation to the draft (even a line will do):
>  
> - Mentioning which layer(s) the OLSRv2-interface works or allowed to be at by the protocol, or
> - defining the MANET-interface as Chris defined (IP-interface, at layer 3) in terminology, or

It's fairly clear that a MANET interface is (according to RFC6130) an interface over which NHDP is operating, and an OLSRv2-interface (according to the OLSRv2 I-D) is a MANET interface, over which also OLSRv2 is operating.

Physical/logical interfaces make no difference. 

Wireless or not-a-wireless-interface makes no difference (where on earth did that idea come from?)

All the layer-discussion is also entirely off the mark by more than a mile. 

Now, if you really want to be pedantic (and it seems you do, so I will be ;) ), a routing protocol implementation would run as an application (so, on layer-7 in the OSI model), interacting only with the networking layer by way of manipulating entries in the routing table; with IP being the only "true Layer-3 protocol" (in as much as only IP defines headers added/stripped at L3. Hence, being pedantic, it would be wrong to talk about OLSR running at Layer 3. OLSRv2 using UDP would, incidentally, attach to something decidedly at the transport layer (which, I hope that we agree, is above Layer 3).

In other words, all of the suggestions made are varying degrees of wrong, so they should definitely not be added.

Best,

Thomas

> I am sorry to disturb, I actually still have many comments for OLSRv2-draft and will try to submit, and let the WG to decide. However, I thank you and Chris to explain to me so at least my other comments will be in understanding.
> 
> Abdussalam
> ++++++++++++++++++
> 
> On Mon, Apr 30, 2012 at 5:45 PM, Ulrich Herberg <[email-masked]> wrote:
> Abdussalam,
> 
> RFC6130 defines:
> 
> 
> MANET interface:
> In one of the last OLSRv2 revisions, we made sure that OLSRv2 differentiates between neighbors running only NHDP and neighbors running also OLSRv2, and only the latter are used for MPR selection, etc. I do not understand what you would like to change in the OLSRv2 draft.
> 
> See comments below:
> 
> On Mon, Apr 30, 2012 at 8:24 AM, Abdussalam Baryun <[email-masked]> wrote:
> Hi Henning,
>  
> Please note that I read the first pages of draft many times before posting any information.
>  
> You reply to the second sentence not the first which has 'running this protocol' relating it not to the router it is relating it to the interface. I know that router must have at least a network-interface ( or data-link-layer) or MANET interface, this is not what I commenting and the draft is mentioning. We don't assume at least Data-Link because it is obvious and we are following TCP/IP model in the internet, but not at least a specific-interface called bla bla.
>  
> Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS this protocol (OLSRv2) this means there is some thing related to OLSRv2 in the layer-2. You should read again another paragraph mentioning as if there is difference between MANET-interface and OLSRv2-interface.
>  
> OLSRv2-14>p9>
> AB> it is clear from the above draft-page-9, that all MANET interfaces are not an OLSRv2-interface, but All OLSRv2 interfaces are MANET-interfaces. So we have to have in or node at least an OLSRv2-interface, not at least one MANET-interfac so the protocol to work correctly.
>  
> AB> The above page-9 mentions NHDP as well that interfaces need this protocol. What if there is not NHDP, or if it is not working, what will happen. The draft SHOULD explain these issues.
> 
> 
>  
> AB> It may be that all OLSRv2 routers (as implementation point of practice) only need at least one MANET interface. But the authors need to change. therefore, we know that All routers need at least on interface, but the draft-wording has a special OLSRv2-interface. Then we need to change the draft wording to the right explaination.
> 
> 
> Can you suggest what you would like to change? I don't understand your point.
> 
> Best regards
> Ulrich
> ok then if it was simple to explain as a special interface as IP-interface why we have OLSRv2_draft saying that it is network-interface as MANET is a network, but IP is not it is a protocol. IMO it is wrong to refer to a network while you mean a protocol, even though I know I may misunderstood. I sugget that this SHOULD be explained clearly. I think every one seems to understand that network-interface must include Data-Link-layer, therefore, RFC6130 or OLSRv2-draft should define well as you did. I thank you for your comment,
>  
> Therefore I suggest to change OLSRv2-interface definition as Chris defined it very clearly. I hope the draft can change the definition,
>  
> Abdussalam
> 
> On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <Chris.Dearlove at baesystems.com> wrote:
> 
> 
> An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care about that. Your statement “a MANET interface is a data link interface” is wrong.
> 
>  
> --
> 
> Christopher Dearlove
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet